import 'package:dio/dio.dart';
import 'package:vrchat_dart/interceptors/proxy_interceptor.dart';
import 'package:vrchat_dart/vrchat_dart.dart';
import 'package:vrchat_dart_generated/vrchat_dart_generated.dart';

/// Web implementation of the API
class VrcApi extends VrcApiBase {
  /// DO NOT INSTANTIATE
  VrcApi({
    required Dio dio,
    String? cookiePath,
    String? proxyUrl,
  }) : super(
          VrchatDartGenerated(
            dio: dio,
            interceptors: (proxyUrl != null
                ? <Interceptor>[ProxyInterceptor(proxyUrl: proxyUrl)]
                : <Interceptor>[]),
          ),
        );
}
